Bug 1509856 - Review Request: php-phpunit-php-token-stream2 - Wrapper around PHP tokenizer extension
Review Request: php-phpunit-php-token-stream2 - Wrapper around PHP tokenizer ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Robert-André Mauchin
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1539554
  Show dependency treegraph
 
Reported: 2017-11-06 03:41 EST by Remi Collet
Modified: 2018-02-20 12:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-02-20 12:12:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
zebob.m: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Remi Collet 2017-11-06 03:41:29 EST
Spec URL: https://git.remirepo.net/cgit/rpms/php/phpunit/php-phpunit-php-token-stream2.git/plain/php-phpunit-php-token-stream2.spec?id=afb11b6fbde2541f34a007883de3eda1bdc066fd
SRPM URL: http://rpms.remirepo.net/SRPMS/php-phpunit-php-token-stream2-2.0.1-1.remi.src.rpm
Description: 
Wrapper around PHP tokenizer extension.

Autoloader: /usr/share/php/SebastianBergmann/PhpTokenStream2/autoload.php

Fedora Account System Username: remi


--

Updating php-phpunit-PHP-TokenStream to new major version was a mistake.

So I plan to revert this, see
https://git.remirepo.net/cgit/rpms/php/phpunit/php-phpunit-PHP-TokenStream.git/commit/?id=43dfdb6c9a0bfb770cee9375d052eaf7d1adac30

Dependent packages are ready for this change
- php-phpunit-phpdcd (only v1)
- php-phpunit-PHP-CodeCoverage (v1 or v2)
- php-phpunit-php-code-coverage5 (only v2)
Comment 2 Robert-André Mauchin 2018-02-05 08:53:13 EST
 - Version 3.0.0 has been published 4 days ago.

 - Not needed in Fedora:

Group:

%{!?_licensedir:%global license %%doc}


 - Build fails in %check:

Exécution_de(%check) : /bin/sh -e /var/tmp/rpm-tmp.jcUKWm
+ umask 022
+ cd /builddir/build/BUILD
+ cd php-token-stream-791198a2c6254db10131eecfe8c06670700904db
+ mkdir vendor
+ touch vendor/autoload.php
+ : Run upstream test suite
+ ret=0
+ for cmd in php php70 php71 php72
+ which php
/usr/bin/php
+ php -d auto_prepend_file=/builddir/build/BUILDROOT/php-phpunit-php-token-stream2-2.0.2-1.fc28.x86_64/usr/share/php/SebastianBergmann/PhpTokenStream2/autoload.php /usr/bin/phpunit6 --verbose
PHP Fatal error:  Uncaught RuntimeException: File not found: 'PHPUnit6/Framework/MockObject/autoload.php' in /usr/share/php/Fedora/Autoloader/functions.php:58
Stack trace:
#0 /usr/share/php/Fedora/Autoloader/Dependencies.php(78): Fedora\Autoloader\requireFile('PHPUnit6/Framew...')
#1 /usr/share/php/Fedora/Autoloader/Dependencies.php(100): Fedora\Autoloader\Dependencies::process(Array, true)
#2 /usr/share/php/PHPUnit6/autoload.php(141): Fedora\Autoloader\Dependencies::required(Array)
#3 /usr/bin/phpunit6(47): require('/usr/share/php/...')
#4 {main}
  thrown in /usr/share/php/Fedora/Autoloader/functions.php on line 58
+ ret=1
+ for cmd in php php70 php71 php72
+ which php70
which: no php70 in (/usr/lib64/ccache:/usr/bin:/bin:/usr/sbin:/sbin:/usr/local/sbin)
+ for cmd in php php70 php71 php72
+ which php71
which: no php71 in (/usr/lib64/ccache:/usr/bin:/bin:/usr/sbin:/sbin:/usr/local/sbin)
+ for cmd in php php70 php71 php72
+ which php72
which: no php72 in (/usr/lib64/ccache:/usr/bin:/bin:/usr/sbin:/sbin:/usr/local/sbin)
+ exit 1
Erreur de construction de RPM :
erreur : Mauvais statut de sortie pour /var/tmp/rpm-tmp.jcUKWm (%check)
Comment 3 Robert-André Mauchin 2018-02-05 09:21:39 EST
Ehhh, it was apparently a problem from the previous package I've built in my chroot.


Package approved.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "BSD (2 clause)", "Unknown or generated", "*No copyright* BSD
     (3 clause)". 36 files have unknown license. Detailed output of
     licensecheck in /home/bob/packaging/review/php-phpunit-php-token-
     stream2/review-php-phpunit-php-token-stream2/licensecheck.txt
[x]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by:
     /usr/share/php/SebastianBergmann(php-phpunit-Version)
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 3 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[!]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.

PHP:
[x]: Run phpci static analyze on all php files.
     Note: phpCompatInfo version 5.0.11 DB version 1.28.0 built Jan 09 2018
     08:43:55 CET static analyze results in /home/bob/packaging/review/php-
     phpunit-php-token-stream2/review-php-phpunit-php-token-
     stream2/phpci.log


Rpmlint
-------
Checking: php-phpunit-php-token-stream2-2.0.2-1.fc28.noarch.rpm
          php-phpunit-php-token-stream2-2.0.2-1.fc28.src.rpm
php-phpunit-php-token-stream2.noarch: W: spelling-error Summary(en_US) tokenizer -> tokenism
php-phpunit-php-token-stream2.noarch: W: spelling-error %description -l en_US tokenizer -> tokenism
php-phpunit-php-token-stream2.noarch: W: spelling-error %description -l en_US Autoloader -> Auto loader, Auto-loader, Freeloader
php-phpunit-php-token-stream2.noarch: W: spelling-error %description -l en_US autoload -> auto load, auto-load, tautology
php-phpunit-php-token-stream2.src: W: spelling-error Summary(en_US) tokenizer -> tokenism
php-phpunit-php-token-stream2.src: W: spelling-error %description -l en_US tokenizer -> tokenism
php-phpunit-php-token-stream2.src: W: spelling-error %description -l en_US Autoloader -> Auto loader, Auto-loader, Freeloader
php-phpunit-php-token-stream2.src: W: spelling-error %description -l en_US usr -> use, us, user
php-phpunit-php-token-stream2.src: W: spelling-error %description -l en_US autoload -> auto load, auto-load, tautology
2 packages and 0 specfiles checked; 0 errors, 9 warnings.
Comment 4 Remi Collet 2018-02-06 00:08:14 EST
(In reply to Robert-André Mauchin from comment #2)
>  - Version 3.0.0 has been published 4 days ago.

v2 is for PHPunit 6
v3 is for PHPunit 7
Comment 6 Gwyn Ciesla 2018-02-06 09:59:11 EST
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/php-phpunit-php-token-stream2
Comment 7 Fedora Update System 2018-02-06 11:33:41 EST
php-phpunit-PHP-TokenStream-1.4.12-1.fc27 php-phpunit-php-token-stream2-2.0.2-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-96c0ff19a5
Comment 8 Fedora Update System 2018-02-07 09:09:42 EST
php-phpunit-PHP-TokenStream-1.4.12-1.fc27, php-phpunit-php-token-stream2-2.0.2-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-96c0ff19a5
Comment 9 Fedora Update System 2018-02-20 12:12:52 EST
php-phpunit-PHP-TokenStream-1.4.12-1.fc27, php-phpunit-php-token-stream2-2.0.2-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.